Health
Update Volumes update volumes
Overrides a line item’s CV and QV volumes. Used by admin tooling; requires a bearer token allowed to override orders (orders.override).
PATCH
/
api
/
public
/
v2025-06
/
commerce
/
carts
/
{cart_token}
/
items
/
{item_id}
/
update_volumes
Update Volumes update volumes
curl --request PATCH \
--url https://api.fluid.app/api/public/v2025-06/commerce/carts/{cart_token}/items/{item_id}/update_volumes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cv": "5.25",
"qv": "2.5"
}
'import requests
url = "https://api.fluid.app/api/public/v2025-06/commerce/carts/{cart_token}/items/{item_id}/update_volumes"
payload = {
"cv": "5.25",
"qv": "2.5"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({cv: '5.25', qv: '2.5'})
};
fetch('https://api.fluid.app/api/public/v2025-06/commerce/carts/{cart_token}/items/{item_id}/update_volumes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/public/v2025-06/commerce/carts/{cart_token}/items/{item_id}/update_volumes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'cv' => '5.25',
'qv' => '2.5'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/public/v2025-06/commerce/carts/{cart_token}/items/{item_id}/update_volumes"
payload := strings.NewReader("{\n \"cv\": \"5.25\",\n \"qv\": \"2.5\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.fluid.app/api/public/v2025-06/commerce/carts/{cart_token}/items/{item_id}/update_volumes")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"cv\": \"5.25\",\n \"qv\": \"2.5\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/public/v2025-06/commerce/carts/{cart_token}/items/{item_id}/update_volumes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"cv\": \"5.25\",\n \"qv\": \"2.5\"\n}"
response = http.request(request)
puts response.read_body{
"cart": {
"id": 48213,
"agreements": [
{
"id": 7314,
"default_checked": false,
"enrollment_pack_id": null,
"required": true,
"show_at_checkout": true,
"show_path": "/api/agreements/7314",
"standalone_on_checkout": false,
"content_digest": "4f7f9a2d0c6b1e8e3a5d9c7b2f1e0d4c8b6a5f3e2d1c0b9a8f7e6d5c4b3a2918",
"subscription_only": false,
"title": "Dunder Mifflin Terms of Service"
}
],
"amount_total": 55.48,
"amount_total_in_currency": "$55.48",
"attribution": null,
"auto_apply_points": false,
"available_payment_methods": [
{
"id": 20931,
"uuid": "pa_dm_cc_01",
"type": "credit_card",
"name": "Credit Card",
"image_url": "https://cdn.fluid.app/images/payment_icons/generic.svg",
"test": false,
"sandbox": false,
"supported_brands": [],
"bogus_gateway": false,
"tokenize_path": "/api/v202506/payments/tokenize_card",
"token_provider": "vgs",
"apple_pay": false,
"apple_pay_recurring_supported": false,
"apple_pay_merchant_identifier": null,
"customer_details_schema": {},
"collect_billing_address": true
}
],
"available_shipping_methods": [
{
"id": "5120",
"title": "Standard Shipping",
"price": 5.99,
"delivery_time_estimate": "3-5 business days",
"price_label": "$5.99"
},
{
"id": "5121",
"title": "Express Shipping",
"price": 12.99,
"delivery_time_estimate": "1-2 business days",
"price_label": "$12.99"
}
],
"bill_to": null,
"billing_address": null,
"buyer_rep": null,
"buyer_rep_id": null,
"buyer_rep_member_id": null,
"cart_token": "ct_7Hk2mQx9vRbT3nWz8LpYc4",
"checkout_blockers": [
{
"code": "shipping_address",
"message": "is required",
"field": "shipping_address",
"payment": "not_attempted"
}
],
"company": {
"id": 1405,
"bundle_subscriptions": false,
"checkout_primary_button_color": null,
"checkout_primary_text_color": null,
"checkout_secondary_button_color": null,
"checkout_secondary_text_color": null,
"collect_email_marketing": false,
"collect_phone": false,
"collect_sms_marketing": false,
"favicon_url": null,
"fluid_shop": "dunder-mifflin.fluid.app",
"hide_volume_on_customer_surfaces": false,
"isolated_payment_tokens": false,
"kount_client_id": null,
"kount_environment": "production",
"logo_url": "https://cdn.fluid.app/companies/1405/logo.png",
"name": "Dunder Mifflin Paper Company",
"order_on_behalf": false,
"primary_domain_hostname": "shop.dundermifflin.com",
"require_billing_zip": false,
"require_phone": false,
"reward_points_apply_to_subtotal": true,
"reward_points_enabled": false,
"reward_points_label_plural": "points",
"reward_points_label_singular": "point",
"subdomain": "dunder-mifflin"
},
"contains_subscription": false,
"country": {
"id": 214,
"currency_code": "USD",
"currency_symbol": "$",
"iso": "US",
"iso3": "USA",
"iso_name": "UNITED STATES",
"name": "United States",
"price_inclusive_of_tax": false,
"price_inclusive_tax_name": "",
"province_required": false,
"tax_enabled": null,
"tax_standard_rate": null
},
"currency_code": "USD",
"currency_decimal_places": 2,
"currency_symbol": "$",
"customer_id": null,
"customer_total_points": 0,
"customer_total_points_decimal": "0.0000",
"customer_total_points_in_currency": "$0.00",
"cv_total": "5.25",
"digital_only": false,
"discount_breakdown": {
"internal_discounts": 5.5,
"external_discounts": 0,
"total_discounts": 5.5
},
"discount_codes": [
"PAPER10"
],
"discount_total": 5.5,
"discount_total_in_currency": "$5.50",
"email": "holly.flax@dundermifflin.com",
"email_marketing": null,
"enrollment": false,
"enrollment_fee": 0,
"enrollment_fee_in_currency": "$0.00",
"enrollment_member_type": null,
"enrollment_pack": null,
"enrollment_pack_id": null,
"external_discount": {
"total": 0,
"calculated_at": null,
"sources": {}
},
"immutable_items": false,
"inclusive_shipping_tax": 0,
"items": [
{
"id": 90417,
"allow_subscription": false,
"bundled_items": [],
"creditable_points": 0,
"cv": "5.25",
"cv_total": "0.0",
"discount_amount": "5.5",
"discount_amount_in_currency": "$5.50",
"display_to_customer": true,
"enrollment": false,
"enrollment_pack_id": null,
"errors": [],
"free_item": false,
"image_url": null,
"line_total_after_discounts_in_currency": "$49.49",
"line_total_in_currency": "$54.99",
"metadata": {
"paid_amount": 49.49,
"creditable_points": 0,
"volume_adjustments": {
"cv_adjustment": "0.25",
"qv_adjustment": "-2.5",
"cv_manually_updated": true,
"qv_manually_updated": true
}
},
"price": "54.99",
"price_in_currency": "$54.99",
"product": {
"id": 30211,
"canonical_url": "https://shop.dundermifflin.com/home/products/20lb-copy-paper",
"cv": "5",
"external_id": null,
"image_path": null,
"image_url": "https://cdn.fluid.app/products/20lb-copy-paper.jpg",
"introduction": null,
"metadata": {},
"metafields": [],
"metafields_collection": [],
"price": "54.99",
"price_in_currency": "$54.99",
"sku": "DM-20LB-CASE",
"subscription_price": "0.0",
"tax": "0.0",
"tax_in_currency": "$0.00",
"title": "Dunder Mifflin 20lb Copy Paper"
},
"product_title": "Dunder Mifflin 20lb Copy Paper",
"quantity": 1,
"qv": "2.5",
"qv_total": "0.0",
"regular_line_total_in_currency": "$54.99",
"subscribe_and_save": null,
"subscribe_and_save_for_display": null,
"subscribe_and_save_in_currency": null,
"subscription": false,
"subscription_interval": null,
"subscription_interval_unit": null,
"subscription_interval_unit_identifier": null,
"subscription_only": false,
"subscription_plan_id": null,
"subscription_plans": [],
"subscription_price": "54.99",
"subscription_price_in_currency": "$54.99",
"subscription_start": null,
"tax": "0.0",
"tax_in_currency": "$0.00",
"title": "Dunder Mifflin 20lb Copy Paper",
"total": "54.99",
"total_after_discounts": "49.49",
"total_after_discounts_in_currency": "$49.49",
"total_in_currency": "$54.99",
"unit_price_display_authoritative": true,
"variant": {
"id": 30212,
"currency_code": "USD",
"display_name": null,
"height": null,
"hs_code": null,
"image_path": null,
"image_url": null,
"length": null,
"options": [],
"physical": true,
"price": "54.99",
"price_in_currency": "$54.99",
"primary_image": null,
"sku": "DM-20LB-CASE",
"title": null,
"unit_of_size": null,
"unit_of_weight": null,
"weight": null,
"width": null
}
}
],
"language_iso": null,
"max_applicable_points": 0,
"points_unavailable_in_market": false,
"max_applicable_points_decimal": "0.0000",
"messages": {},
"metadata": {
"shipping": {
"id": 5120,
"price": 5.99,
"title": "Standard Shipping",
"delivery_time_estimate": "3-5 business days"
},
"total_creditable_points": 0,
"available_shipping_methods": [
{
"id": 5120,
"price": 5.99,
"title": "Standard Shipping",
"priority": 0,
"price_label": "$5.99",
"delivery_time_estimate": "3-5 business days"
},
{
"id": 5121,
"price": 12.99,
"title": "Express Shipping",
"priority": 1,
"price_label": "$12.99",
"delivery_time_estimate": "1-2 business days"
}
]
},
"payment_account": null,
"payment_method": null,
"payment_method_auto_assignable": false,
"payment_unavailable_reason": null,
"phone": null,
"points_applied": 0,
"points_applied_decimal": "0.0000",
"points_applied_amount_in_currency": "$0.00",
"points_enabled": false,
"population_status": "complete",
"price_inclusive_of_tax": false,
"price_inclusive_tax_name": null,
"processed": false,
"product_discount_codes": [
"PAPER10"
],
"qv_total": "2.5",
"recurring": [],
"remaining_cart_amount_after_points": 55.48,
"remaining_cart_amount_after_points_in_currency": "$55.48",
"remaining_customer_points": 0,
"remaining_customer_points_decimal": "0.0000",
"remaining_customer_points_amount_in_currency": "$0.00",
"requires_3ds": false,
"requires_payment_method": true,
"ship_to": null,
"shipping_address": null,
"shipping_discount": 0,
"shipping_discount_codes": [],
"shipping_method": {
"id": "5120",
"name": "Standard Shipping"
},
"shipping_total": 5.99,
"shipping_total_for_display": "$5.99",
"shipping_total_in_currency": "$5.99",
"sms_marketing": null,
"state": "start",
"state_revision": 7,
"sub_total": 54.99,
"sub_total_in_currency": "$54.99",
"subtotal_after_discounts": 49.49,
"subtotal_after_discounts_in_currency": "$49.49",
"tax_exempt": false,
"tax_total": 0,
"tax_total_for_display": "$--",
"tax_total_in_currency": "$0.00",
"total_creditable_points": 0,
"total_creditable_points_decimal": "0.0000",
"totals": {
"gross_subtotal": "54.99",
"gross_subtotal_in_currency": "$54.99",
"net_subtotal": "54.99",
"net_subtotal_in_currency": "$54.99",
"item_tax": "0.00",
"item_tax_in_currency": "$0.00",
"shipping_net": "5.99",
"shipping_net_in_currency": "$5.99",
"shipping_tax": "0.00",
"shipping_tax_in_currency": "$0.00",
"total_tax": "0.00",
"total_tax_in_currency": "$0.00",
"price_inclusive_of_tax": false,
"tax_label": null
},
"transaction_fee": 0,
"transaction_fee_in_currency": "$0.00",
"type": "regular",
"valid_for_checkout": false,
"valid_for_checkout_pre_payment": false,
"vault_without_charge": false,
"volume_rep": null,
"volume_rep_member_id": null
},
"meta": {
"request_id": "3f6b1c2e-8d4a-4b7f-9e21-6c5d0a8f4b93",
"timestamp": "2026-09-14T15:42:08Z",
"shop_url": "https://shop.dundermifflin.com/",
"checkout_url": "https://checkout.fluid.app/checkouts/ct_7Hk2mQx9vRbT3nWz8LpYc4?fluid_shop=dunder-mifflin"
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"shop_url": "<string>",
"cart": {
"enrollment": true,
"id": 123,
"cart_token": "<string>",
"state": "<string>",
"state_revision": 1,
"population_status": "pending",
"email": "<string>",
"phone": "<string>",
"phone_dialable": true,
"sms_marketing_preselected": true,
"language_iso": "<string>",
"currency_code": "<string>",
"currency_symbol": "<string>",
"currency_decimal_places": 123,
"type": "<string>",
"buyer_rep_id": 123,
"customer_id": 123,
"enrollment_pack_id": 123,
"enrollment_member_type": {
"id": "22c58158-7f6c-4f33-a033-32e259941684",
"slug": "rep",
"name": "Representative"
},
"email_marketing": true,
"sms_marketing": true,
"auto_apply_points": true,
"processed": true,
"payment_in_progress": true,
"payment_resume_url": "<string>",
"valid_for_checkout": true,
"valid_for_checkout_pre_payment": true,
"checkout_blockers": [
{
"code": "<string>",
"message": "<string>",
"field": "<string>",
"payment": "not_attempted"
}
],
"contains_subscription": true,
"vault_without_charge": true,
"payment_method_auto_assignable": true,
"requires_payment_method": true,
"requires_3ds": true,
"immutable_items": true,
"digital_only": true,
"points_enabled": true,
"messages": {},
"metadata": {},
"cv_total": "<string>",
"qv_total": "<string>",
"amount_total": 123,
"amount_total_in_currency": "<string>",
"sub_total": 123,
"sub_total_in_currency": "<string>",
"tax_total": 123,
"tax_exempt": true,
"tax_total_in_currency": "<string>",
"tax_total_for_display": "<string>",
"inclusive_shipping_tax": 123,
"shipping_total": 123,
"shipping_total_in_currency": "<string>",
"shipping_total_for_display": "<string>",
"discount_total": 123,
"discount_total_in_currency": "<string>",
"subtotal_after_discounts": 123,
"subtotal_after_discounts_in_currency": "<string>",
"price_inclusive_of_tax": true,
"price_inclusive_tax_name": "<string>",
"totals": {
"gross_subtotal": "<string>",
"gross_subtotal_in_currency": "<string>",
"net_subtotal": "<string>",
"net_subtotal_in_currency": "<string>",
"item_tax": "<string>",
"item_tax_in_currency": "<string>",
"shipping_net": "<string>",
"shipping_net_in_currency": "<string>",
"shipping_tax": "<string>",
"shipping_tax_in_currency": "<string>",
"total_tax": "<string>",
"total_tax_in_currency": "<string>",
"price_inclusive_of_tax": true,
"tax_label": "<string>"
},
"enrollment_fee": 123,
"enrollment_fee_in_currency": "<string>",
"transaction_fee": 123,
"transaction_fee_in_currency": "<string>",
"shipping_discount": 123,
"discount_codes": [
"<string>"
],
"product_discount_codes": [
"<string>"
],
"shipping_discount_codes": [
"<string>"
],
"customer_total_points": 123,
"customer_total_points_decimal": "120.0000",
"customer_total_points_in_currency": "<string>",
"points_applied": 123,
"points_applied_decimal": "120.0000",
"points_applied_amount_in_currency": "<string>",
"remaining_customer_points": 123,
"remaining_customer_points_decimal": "120.0000",
"remaining_customer_points_amount_in_currency": "<string>",
"remaining_cart_amount_after_points": 123,
"remaining_cart_amount_after_points_in_currency": "<string>",
"max_applicable_points": 123,
"points_unavailable_in_market": true,
"max_applicable_points_decimal": "120.0000",
"total_creditable_points": 123,
"total_creditable_points_decimal": "120.0000",
"shipping_address": {},
"billing_address": {},
"discount_breakdown": {
"internal_discounts": 123,
"external_discounts": 123,
"total_discounts": 123
},
"external_discount": {},
"buyer_rep": {
"id": 123,
"email": "<string>",
"full_name": "<string>",
"image_url": "<string>",
"external_id": "<string>"
},
"buyer_rep_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"volume_rep": {
"id": 123,
"email": "<string>",
"full_name": "<string>",
"image_url": "<string>"
},
"volume_rep_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"available_shipping_methods": [
{
"id": "<string>",
"title": "<string>",
"price": 123,
"delivery_time_estimate": "<string>",
"price_label": "<string>"
}
],
"available_payment_methods": [
{}
],
"payment_unavailable_reason": "no_gateway_for_country",
"payment_account": {},
"shipping_method": {
"id": "<string>",
"name": "<string>"
},
"payment_method": {},
"items": [
{
"id": 123,
"title": "<string>",
"quantity": 123,
"price": "<string>",
"price_in_currency": "<string>",
"discount_amount": "<string>",
"discount_amount_in_currency": "<string>",
"tax": "<string>",
"tax_in_currency": "<string>",
"cv": "<string>",
"qv": "<string>",
"cv_total": "<string>",
"qv_total": "<string>",
"total": "<string>",
"total_in_currency": "<string>",
"line_total_in_currency": "<string>",
"total_after_discounts": "<string>",
"total_after_discounts_in_currency": "<string>",
"line_total_after_discounts_in_currency": "<string>",
"regular_line_total_in_currency": "<string>",
"unit_price_display_authoritative": true,
"price_unavailable": true,
"subscription_start_notice": {
"message": "We never bill on the 29th to the 31st, so your first order bills on the 28th.",
"moved_from": "2026-11-30"
},
"enrollment_pack_id": 123,
"subscription": true,
"subscription_plan_id": 123,
"subscription_plans": [
{}
],
"subscription_only": true,
"subscription_interval": 123,
"subscription_interval_unit": "<string>",
"subscription_interval_unit_identifier": "<string>",
"subscription_price": "<string>",
"subscription_price_in_currency": "<string>",
"subscription_start": "<string>",
"subscribe_and_save": "<string>",
"subscribe_and_save_in_currency": "<string>",
"subscribe_and_save_for_display": "<string>",
"display_to_customer": true,
"metadata": {},
"image_url": "<string>",
"free_item": true,
"allow_subscription": true,
"enrollment": true,
"errors": [
"<string>"
],
"creditable_points": 123,
"product": {},
"variant": {
"id": 123,
"title": "<string>",
"display_name": "<string>",
"image_url": "<string>",
"image_path": "<string>",
"sku": "<string>",
"primary_image": "<string>",
"price": 123,
"price_in_currency": "<string>",
"currency_code": "<string>",
"options": [
{
"title": "<string>",
"value": "<string>"
}
],
"physical": true,
"unit_of_size": "<string>",
"height": 123,
"width": 123,
"length": 123,
"unit_of_weight": "<string>",
"weight": "<string>",
"hs_code": "<string>"
},
"bundled_items": [
{}
],
"product_title": "<string>"
}
],
"ship_to": {
"id": 123,
"name": "<string>",
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"state": "<string>",
"subdivision_code": "<string>",
"postal_code": "<string>",
"country_code": "<string>",
"phone": "<string>",
"country_num_code": 123,
"default": true
},
"bill_to": {},
"attribution": {},
"agreements": [
{
"id": 123,
"title": "<string>",
"show_at_checkout": true,
"default_checked": true,
"subscription_only": true,
"standalone_on_checkout": true,
"show_path": "<string>",
"enrollment_pack_id": 123,
"required": true,
"content_digest": "<string>"
}
],
"country": {
"id": 123,
"name": "<string>",
"iso": "<string>",
"iso_name": "<string>",
"iso3": "<string>",
"currency_code": "<string>",
"currency_symbol": "<string>",
"province_required": true,
"tax_enabled": true,
"price_inclusive_of_tax": true,
"price_inclusive_tax_name": "<string>",
"tax_standard_rate": 123
},
"company": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"identity_sign_in_enabled": true,
"checkout_identity_enabled": true,
"id": 123,
"name": "<string>",
"favicon_url": "<string>",
"primary_domain_hostname": "<string>",
"subdomain": "<string>",
"logo_url": "<string>",
"fluid_shop": "<string>",
"collect_phone": true,
"require_phone": true,
"require_billing_zip": true,
"checkout_primary_button_color": "<string>",
"checkout_primary_text_color": "<string>",
"checkout_secondary_button_color": "<string>",
"checkout_secondary_text_color": "<string>",
"order_on_behalf": true,
"reward_points_enabled": true,
"reward_points_apply_to_subtotal": true,
"reward_points_label_singular": "<string>",
"reward_points_label_plural": "<string>",
"collect_sms_marketing": true,
"sms_terms_url": "<string>",
"sms_privacy_policy_url": "<string>",
"collect_email_marketing": true,
"bundle_subscriptions": true,
"hide_volume_on_customer_surfaces": true,
"isolated_payment_tokens": true,
"kount_environment": "sandbox",
"kount_client_id": "150953359757648"
},
"enrollment_pack": {},
"recurring": [
{
"subtotal": 123,
"subtotal_in_currency": "<string>",
"interval": 123,
"interval_unit": "<string>",
"interval_unit_identifier": "day",
"subtotal_for_display": "<string>",
"start_date": "<string>",
"subscription_start_notice": {
"message": "We never bill on the 29th to the 31st, so your first order bills on the 28th.",
"moved_from": "2026-11-30"
}
}
]
},
"code": "<string>",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"shop_url": "<string>",
"cart": {
"enrollment": true,
"id": 123,
"cart_token": "<string>",
"state": "<string>",
"state_revision": 1,
"population_status": "pending",
"email": "<string>",
"phone": "<string>",
"phone_dialable": true,
"sms_marketing_preselected": true,
"language_iso": "<string>",
"currency_code": "<string>",
"currency_symbol": "<string>",
"currency_decimal_places": 123,
"type": "<string>",
"buyer_rep_id": 123,
"customer_id": 123,
"enrollment_pack_id": 123,
"enrollment_member_type": {
"id": "22c58158-7f6c-4f33-a033-32e259941684",
"slug": "rep",
"name": "Representative"
},
"email_marketing": true,
"sms_marketing": true,
"auto_apply_points": true,
"processed": true,
"payment_in_progress": true,
"payment_resume_url": "<string>",
"valid_for_checkout": true,
"valid_for_checkout_pre_payment": true,
"checkout_blockers": [
{
"code": "<string>",
"message": "<string>",
"field": "<string>",
"payment": "not_attempted"
}
],
"contains_subscription": true,
"vault_without_charge": true,
"payment_method_auto_assignable": true,
"requires_payment_method": true,
"requires_3ds": true,
"immutable_items": true,
"digital_only": true,
"points_enabled": true,
"messages": {},
"metadata": {},
"cv_total": "<string>",
"qv_total": "<string>",
"amount_total": 123,
"amount_total_in_currency": "<string>",
"sub_total": 123,
"sub_total_in_currency": "<string>",
"tax_total": 123,
"tax_exempt": true,
"tax_total_in_currency": "<string>",
"tax_total_for_display": "<string>",
"inclusive_shipping_tax": 123,
"shipping_total": 123,
"shipping_total_in_currency": "<string>",
"shipping_total_for_display": "<string>",
"discount_total": 123,
"discount_total_in_currency": "<string>",
"subtotal_after_discounts": 123,
"subtotal_after_discounts_in_currency": "<string>",
"price_inclusive_of_tax": true,
"price_inclusive_tax_name": "<string>",
"totals": {
"gross_subtotal": "<string>",
"gross_subtotal_in_currency": "<string>",
"net_subtotal": "<string>",
"net_subtotal_in_currency": "<string>",
"item_tax": "<string>",
"item_tax_in_currency": "<string>",
"shipping_net": "<string>",
"shipping_net_in_currency": "<string>",
"shipping_tax": "<string>",
"shipping_tax_in_currency": "<string>",
"total_tax": "<string>",
"total_tax_in_currency": "<string>",
"price_inclusive_of_tax": true,
"tax_label": "<string>"
},
"enrollment_fee": 123,
"enrollment_fee_in_currency": "<string>",
"transaction_fee": 123,
"transaction_fee_in_currency": "<string>",
"shipping_discount": 123,
"discount_codes": [
"<string>"
],
"product_discount_codes": [
"<string>"
],
"shipping_discount_codes": [
"<string>"
],
"customer_total_points": 123,
"customer_total_points_decimal": "120.0000",
"customer_total_points_in_currency": "<string>",
"points_applied": 123,
"points_applied_decimal": "120.0000",
"points_applied_amount_in_currency": "<string>",
"remaining_customer_points": 123,
"remaining_customer_points_decimal": "120.0000",
"remaining_customer_points_amount_in_currency": "<string>",
"remaining_cart_amount_after_points": 123,
"remaining_cart_amount_after_points_in_currency": "<string>",
"max_applicable_points": 123,
"points_unavailable_in_market": true,
"max_applicable_points_decimal": "120.0000",
"total_creditable_points": 123,
"total_creditable_points_decimal": "120.0000",
"shipping_address": {},
"billing_address": {},
"discount_breakdown": {
"internal_discounts": 123,
"external_discounts": 123,
"total_discounts": 123
},
"external_discount": {},
"buyer_rep": {
"id": 123,
"email": "<string>",
"full_name": "<string>",
"image_url": "<string>",
"external_id": "<string>"
},
"buyer_rep_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"volume_rep": {
"id": 123,
"email": "<string>",
"full_name": "<string>",
"image_url": "<string>"
},
"volume_rep_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"available_shipping_methods": [
{
"id": "<string>",
"title": "<string>",
"price": 123,
"delivery_time_estimate": "<string>",
"price_label": "<string>"
}
],
"available_payment_methods": [
{}
],
"payment_unavailable_reason": "no_gateway_for_country",
"payment_account": {},
"shipping_method": {
"id": "<string>",
"name": "<string>"
},
"payment_method": {},
"items": [
{
"id": 123,
"title": "<string>",
"quantity": 123,
"price": "<string>",
"price_in_currency": "<string>",
"discount_amount": "<string>",
"discount_amount_in_currency": "<string>",
"tax": "<string>",
"tax_in_currency": "<string>",
"cv": "<string>",
"qv": "<string>",
"cv_total": "<string>",
"qv_total": "<string>",
"total": "<string>",
"total_in_currency": "<string>",
"line_total_in_currency": "<string>",
"total_after_discounts": "<string>",
"total_after_discounts_in_currency": "<string>",
"line_total_after_discounts_in_currency": "<string>",
"regular_line_total_in_currency": "<string>",
"unit_price_display_authoritative": true,
"price_unavailable": true,
"subscription_start_notice": {
"message": "We never bill on the 29th to the 31st, so your first order bills on the 28th.",
"moved_from": "2026-11-30"
},
"enrollment_pack_id": 123,
"subscription": true,
"subscription_plan_id": 123,
"subscription_plans": [
{}
],
"subscription_only": true,
"subscription_interval": 123,
"subscription_interval_unit": "<string>",
"subscription_interval_unit_identifier": "<string>",
"subscription_price": "<string>",
"subscription_price_in_currency": "<string>",
"subscription_start": "<string>",
"subscribe_and_save": "<string>",
"subscribe_and_save_in_currency": "<string>",
"subscribe_and_save_for_display": "<string>",
"display_to_customer": true,
"metadata": {},
"image_url": "<string>",
"free_item": true,
"allow_subscription": true,
"enrollment": true,
"errors": [
"<string>"
],
"creditable_points": 123,
"product": {},
"variant": {
"id": 123,
"title": "<string>",
"display_name": "<string>",
"image_url": "<string>",
"image_path": "<string>",
"sku": "<string>",
"primary_image": "<string>",
"price": 123,
"price_in_currency": "<string>",
"currency_code": "<string>",
"options": [
{
"title": "<string>",
"value": "<string>"
}
],
"physical": true,
"unit_of_size": "<string>",
"height": 123,
"width": 123,
"length": 123,
"unit_of_weight": "<string>",
"weight": "<string>",
"hs_code": "<string>"
},
"bundled_items": [
{}
],
"product_title": "<string>"
}
],
"ship_to": {
"id": 123,
"name": "<string>",
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"state": "<string>",
"subdivision_code": "<string>",
"postal_code": "<string>",
"country_code": "<string>",
"phone": "<string>",
"country_num_code": 123,
"default": true
},
"bill_to": {},
"attribution": {},
"agreements": [
{
"id": 123,
"title": "<string>",
"show_at_checkout": true,
"default_checked": true,
"subscription_only": true,
"standalone_on_checkout": true,
"show_path": "<string>",
"enrollment_pack_id": 123,
"required": true,
"content_digest": "<string>"
}
],
"country": {
"id": 123,
"name": "<string>",
"iso": "<string>",
"iso_name": "<string>",
"iso3": "<string>",
"currency_code": "<string>",
"currency_symbol": "<string>",
"province_required": true,
"tax_enabled": true,
"price_inclusive_of_tax": true,
"price_inclusive_tax_name": "<string>",
"tax_standard_rate": 123
},
"company": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"identity_sign_in_enabled": true,
"checkout_identity_enabled": true,
"id": 123,
"name": "<string>",
"favicon_url": "<string>",
"primary_domain_hostname": "<string>",
"subdomain": "<string>",
"logo_url": "<string>",
"fluid_shop": "<string>",
"collect_phone": true,
"require_phone": true,
"require_billing_zip": true,
"checkout_primary_button_color": "<string>",
"checkout_primary_text_color": "<string>",
"checkout_secondary_button_color": "<string>",
"checkout_secondary_text_color": "<string>",
"order_on_behalf": true,
"reward_points_enabled": true,
"reward_points_apply_to_subtotal": true,
"reward_points_label_singular": "<string>",
"reward_points_label_plural": "<string>",
"collect_sms_marketing": true,
"sms_terms_url": "<string>",
"sms_privacy_policy_url": "<string>",
"collect_email_marketing": true,
"bundle_subscriptions": true,
"hide_volume_on_customer_surfaces": true,
"isolated_payment_tokens": true,
"kount_environment": "sandbox",
"kount_client_id": "150953359757648"
},
"enrollment_pack": {},
"recurring": [
{
"subtotal": 123,
"subtotal_in_currency": "<string>",
"interval": 123,
"interval_unit": "<string>",
"interval_unit_identifier": "day",
"subtotal_for_display": "<string>",
"start_date": "<string>",
"subscription_start_notice": {
"message": "We never bill on the 29th to the 31st, so your first order bills on the 28th.",
"moved_from": "2026-11-30"
}
}
]
},
"code": "<string>",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}{
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "payment_in_progress",
"shop_url": "<string>",
"cart": {
"enrollment": true,
"id": 123,
"cart_token": "<string>",
"state": "<string>",
"state_revision": 1,
"population_status": "pending",
"email": "<string>",
"phone": "<string>",
"phone_dialable": true,
"sms_marketing_preselected": true,
"language_iso": "<string>",
"currency_code": "<string>",
"currency_symbol": "<string>",
"currency_decimal_places": 123,
"type": "<string>",
"buyer_rep_id": 123,
"customer_id": 123,
"enrollment_pack_id": 123,
"enrollment_member_type": {
"id": "22c58158-7f6c-4f33-a033-32e259941684",
"slug": "rep",
"name": "Representative"
},
"email_marketing": true,
"sms_marketing": true,
"auto_apply_points": true,
"processed": true,
"payment_in_progress": true,
"payment_resume_url": "<string>",
"valid_for_checkout": true,
"valid_for_checkout_pre_payment": true,
"checkout_blockers": [
{
"code": "<string>",
"message": "<string>",
"field": "<string>",
"payment": "not_attempted"
}
],
"contains_subscription": true,
"vault_without_charge": true,
"payment_method_auto_assignable": true,
"requires_payment_method": true,
"requires_3ds": true,
"immutable_items": true,
"digital_only": true,
"points_enabled": true,
"messages": {},
"metadata": {},
"cv_total": "<string>",
"qv_total": "<string>",
"amount_total": 123,
"amount_total_in_currency": "<string>",
"sub_total": 123,
"sub_total_in_currency": "<string>",
"tax_total": 123,
"tax_exempt": true,
"tax_total_in_currency": "<string>",
"tax_total_for_display": "<string>",
"inclusive_shipping_tax": 123,
"shipping_total": 123,
"shipping_total_in_currency": "<string>",
"shipping_total_for_display": "<string>",
"discount_total": 123,
"discount_total_in_currency": "<string>",
"subtotal_after_discounts": 123,
"subtotal_after_discounts_in_currency": "<string>",
"price_inclusive_of_tax": true,
"price_inclusive_tax_name": "<string>",
"totals": {
"gross_subtotal": "<string>",
"gross_subtotal_in_currency": "<string>",
"net_subtotal": "<string>",
"net_subtotal_in_currency": "<string>",
"item_tax": "<string>",
"item_tax_in_currency": "<string>",
"shipping_net": "<string>",
"shipping_net_in_currency": "<string>",
"shipping_tax": "<string>",
"shipping_tax_in_currency": "<string>",
"total_tax": "<string>",
"total_tax_in_currency": "<string>",
"price_inclusive_of_tax": true,
"tax_label": "<string>"
},
"enrollment_fee": 123,
"enrollment_fee_in_currency": "<string>",
"transaction_fee": 123,
"transaction_fee_in_currency": "<string>",
"shipping_discount": 123,
"discount_codes": [
"<string>"
],
"product_discount_codes": [
"<string>"
],
"shipping_discount_codes": [
"<string>"
],
"customer_total_points": 123,
"customer_total_points_decimal": "120.0000",
"customer_total_points_in_currency": "<string>",
"points_applied": 123,
"points_applied_decimal": "120.0000",
"points_applied_amount_in_currency": "<string>",
"remaining_customer_points": 123,
"remaining_customer_points_decimal": "120.0000",
"remaining_customer_points_amount_in_currency": "<string>",
"remaining_cart_amount_after_points": 123,
"remaining_cart_amount_after_points_in_currency": "<string>",
"max_applicable_points": 123,
"points_unavailable_in_market": true,
"max_applicable_points_decimal": "120.0000",
"total_creditable_points": 123,
"total_creditable_points_decimal": "120.0000",
"shipping_address": {},
"billing_address": {},
"discount_breakdown": {
"internal_discounts": 123,
"external_discounts": 123,
"total_discounts": 123
},
"external_discount": {},
"buyer_rep": {
"id": 123,
"email": "<string>",
"full_name": "<string>",
"image_url": "<string>",
"external_id": "<string>"
},
"buyer_rep_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"volume_rep": {
"id": 123,
"email": "<string>",
"full_name": "<string>",
"image_url": "<string>"
},
"volume_rep_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"available_shipping_methods": [
{
"id": "<string>",
"title": "<string>",
"price": 123,
"delivery_time_estimate": "<string>",
"price_label": "<string>"
}
],
"available_payment_methods": [
{}
],
"payment_unavailable_reason": "no_gateway_for_country",
"payment_account": {},
"shipping_method": {
"id": "<string>",
"name": "<string>"
},
"payment_method": {},
"items": [
{
"id": 123,
"title": "<string>",
"quantity": 123,
"price": "<string>",
"price_in_currency": "<string>",
"discount_amount": "<string>",
"discount_amount_in_currency": "<string>",
"tax": "<string>",
"tax_in_currency": "<string>",
"cv": "<string>",
"qv": "<string>",
"cv_total": "<string>",
"qv_total": "<string>",
"total": "<string>",
"total_in_currency": "<string>",
"line_total_in_currency": "<string>",
"total_after_discounts": "<string>",
"total_after_discounts_in_currency": "<string>",
"line_total_after_discounts_in_currency": "<string>",
"regular_line_total_in_currency": "<string>",
"unit_price_display_authoritative": true,
"price_unavailable": true,
"subscription_start_notice": {
"message": "We never bill on the 29th to the 31st, so your first order bills on the 28th.",
"moved_from": "2026-11-30"
},
"enrollment_pack_id": 123,
"subscription": true,
"subscription_plan_id": 123,
"subscription_plans": [
{}
],
"subscription_only": true,
"subscription_interval": 123,
"subscription_interval_unit": "<string>",
"subscription_interval_unit_identifier": "<string>",
"subscription_price": "<string>",
"subscription_price_in_currency": "<string>",
"subscription_start": "<string>",
"subscribe_and_save": "<string>",
"subscribe_and_save_in_currency": "<string>",
"subscribe_and_save_for_display": "<string>",
"display_to_customer": true,
"metadata": {},
"image_url": "<string>",
"free_item": true,
"allow_subscription": true,
"enrollment": true,
"errors": [
"<string>"
],
"creditable_points": 123,
"product": {},
"variant": {
"id": 123,
"title": "<string>",
"display_name": "<string>",
"image_url": "<string>",
"image_path": "<string>",
"sku": "<string>",
"primary_image": "<string>",
"price": 123,
"price_in_currency": "<string>",
"currency_code": "<string>",
"options": [
{
"title": "<string>",
"value": "<string>"
}
],
"physical": true,
"unit_of_size": "<string>",
"height": 123,
"width": 123,
"length": 123,
"unit_of_weight": "<string>",
"weight": "<string>",
"hs_code": "<string>"
},
"bundled_items": [
{}
],
"product_title": "<string>"
}
],
"ship_to": {
"id": 123,
"name": "<string>",
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"state": "<string>",
"subdivision_code": "<string>",
"postal_code": "<string>",
"country_code": "<string>",
"phone": "<string>",
"country_num_code": 123,
"default": true
},
"bill_to": {},
"attribution": {},
"agreements": [
{
"id": 123,
"title": "<string>",
"show_at_checkout": true,
"default_checked": true,
"subscription_only": true,
"standalone_on_checkout": true,
"show_path": "<string>",
"enrollment_pack_id": 123,
"required": true,
"content_digest": "<string>"
}
],
"country": {
"id": 123,
"name": "<string>",
"iso": "<string>",
"iso_name": "<string>",
"iso3": "<string>",
"currency_code": "<string>",
"currency_symbol": "<string>",
"province_required": true,
"tax_enabled": true,
"price_inclusive_of_tax": true,
"price_inclusive_tax_name": "<string>",
"tax_standard_rate": 123
},
"company": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"identity_sign_in_enabled": true,
"checkout_identity_enabled": true,
"id": 123,
"name": "<string>",
"favicon_url": "<string>",
"primary_domain_hostname": "<string>",
"subdomain": "<string>",
"logo_url": "<string>",
"fluid_shop": "<string>",
"collect_phone": true,
"require_phone": true,
"require_billing_zip": true,
"checkout_primary_button_color": "<string>",
"checkout_primary_text_color": "<string>",
"checkout_secondary_button_color": "<string>",
"checkout_secondary_text_color": "<string>",
"order_on_behalf": true,
"reward_points_enabled": true,
"reward_points_apply_to_subtotal": true,
"reward_points_label_singular": "<string>",
"reward_points_label_plural": "<string>",
"collect_sms_marketing": true,
"sms_terms_url": "<string>",
"sms_privacy_policy_url": "<string>",
"collect_email_marketing": true,
"bundle_subscriptions": true,
"hide_volume_on_customer_surfaces": true,
"isolated_payment_tokens": true,
"kount_environment": "sandbox",
"kount_client_id": "150953359757648"
},
"enrollment_pack": {},
"recurring": [
{
"subtotal": 123,
"subtotal_in_currency": "<string>",
"interval": 123,
"interval_unit": "<string>",
"interval_unit_identifier": "day",
"subtotal_for_display": "<string>",
"start_date": "<string>",
"subscription_start_notice": {
"message": "We never bill on the 29th to the 31st, so your first order bills on the 28th.",
"moved_from": "2026-11-30"
}
}
]
}
}
}{
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"shop_url": "<string>",
"cart": {
"enrollment": true,
"id": 123,
"cart_token": "<string>",
"state": "<string>",
"state_revision": 1,
"population_status": "pending",
"email": "<string>",
"phone": "<string>",
"phone_dialable": true,
"sms_marketing_preselected": true,
"language_iso": "<string>",
"currency_code": "<string>",
"currency_symbol": "<string>",
"currency_decimal_places": 123,
"type": "<string>",
"buyer_rep_id": 123,
"customer_id": 123,
"enrollment_pack_id": 123,
"enrollment_member_type": {
"id": "22c58158-7f6c-4f33-a033-32e259941684",
"slug": "rep",
"name": "Representative"
},
"email_marketing": true,
"sms_marketing": true,
"auto_apply_points": true,
"processed": true,
"payment_in_progress": true,
"payment_resume_url": "<string>",
"valid_for_checkout": true,
"valid_for_checkout_pre_payment": true,
"checkout_blockers": [
{
"code": "<string>",
"message": "<string>",
"field": "<string>",
"payment": "not_attempted"
}
],
"contains_subscription": true,
"vault_without_charge": true,
"payment_method_auto_assignable": true,
"requires_payment_method": true,
"requires_3ds": true,
"immutable_items": true,
"digital_only": true,
"points_enabled": true,
"messages": {},
"metadata": {},
"cv_total": "<string>",
"qv_total": "<string>",
"amount_total": 123,
"amount_total_in_currency": "<string>",
"sub_total": 123,
"sub_total_in_currency": "<string>",
"tax_total": 123,
"tax_exempt": true,
"tax_total_in_currency": "<string>",
"tax_total_for_display": "<string>",
"inclusive_shipping_tax": 123,
"shipping_total": 123,
"shipping_total_in_currency": "<string>",
"shipping_total_for_display": "<string>",
"discount_total": 123,
"discount_total_in_currency": "<string>",
"subtotal_after_discounts": 123,
"subtotal_after_discounts_in_currency": "<string>",
"price_inclusive_of_tax": true,
"price_inclusive_tax_name": "<string>",
"totals": {
"gross_subtotal": "<string>",
"gross_subtotal_in_currency": "<string>",
"net_subtotal": "<string>",
"net_subtotal_in_currency": "<string>",
"item_tax": "<string>",
"item_tax_in_currency": "<string>",
"shipping_net": "<string>",
"shipping_net_in_currency": "<string>",
"shipping_tax": "<string>",
"shipping_tax_in_currency": "<string>",
"total_tax": "<string>",
"total_tax_in_currency": "<string>",
"price_inclusive_of_tax": true,
"tax_label": "<string>"
},
"enrollment_fee": 123,
"enrollment_fee_in_currency": "<string>",
"transaction_fee": 123,
"transaction_fee_in_currency": "<string>",
"shipping_discount": 123,
"discount_codes": [
"<string>"
],
"product_discount_codes": [
"<string>"
],
"shipping_discount_codes": [
"<string>"
],
"customer_total_points": 123,
"customer_total_points_decimal": "120.0000",
"customer_total_points_in_currency": "<string>",
"points_applied": 123,
"points_applied_decimal": "120.0000",
"points_applied_amount_in_currency": "<string>",
"remaining_customer_points": 123,
"remaining_customer_points_decimal": "120.0000",
"remaining_customer_points_amount_in_currency": "<string>",
"remaining_cart_amount_after_points": 123,
"remaining_cart_amount_after_points_in_currency": "<string>",
"max_applicable_points": 123,
"points_unavailable_in_market": true,
"max_applicable_points_decimal": "120.0000",
"total_creditable_points": 123,
"total_creditable_points_decimal": "120.0000",
"shipping_address": {},
"billing_address": {},
"discount_breakdown": {
"internal_discounts": 123,
"external_discounts": 123,
"total_discounts": 123
},
"external_discount": {},
"buyer_rep": {
"id": 123,
"email": "<string>",
"full_name": "<string>",
"image_url": "<string>",
"external_id": "<string>"
},
"buyer_rep_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"volume_rep": {
"id": 123,
"email": "<string>",
"full_name": "<string>",
"image_url": "<string>"
},
"volume_rep_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"available_shipping_methods": [
{
"id": "<string>",
"title": "<string>",
"price": 123,
"delivery_time_estimate": "<string>",
"price_label": "<string>"
}
],
"available_payment_methods": [
{}
],
"payment_unavailable_reason": "no_gateway_for_country",
"payment_account": {},
"shipping_method": {
"id": "<string>",
"name": "<string>"
},
"payment_method": {},
"items": [
{
"id": 123,
"title": "<string>",
"quantity": 123,
"price": "<string>",
"price_in_currency": "<string>",
"discount_amount": "<string>",
"discount_amount_in_currency": "<string>",
"tax": "<string>",
"tax_in_currency": "<string>",
"cv": "<string>",
"qv": "<string>",
"cv_total": "<string>",
"qv_total": "<string>",
"total": "<string>",
"total_in_currency": "<string>",
"line_total_in_currency": "<string>",
"total_after_discounts": "<string>",
"total_after_discounts_in_currency": "<string>",
"line_total_after_discounts_in_currency": "<string>",
"regular_line_total_in_currency": "<string>",
"unit_price_display_authoritative": true,
"price_unavailable": true,
"subscription_start_notice": {
"message": "We never bill on the 29th to the 31st, so your first order bills on the 28th.",
"moved_from": "2026-11-30"
},
"enrollment_pack_id": 123,
"subscription": true,
"subscription_plan_id": 123,
"subscription_plans": [
{}
],
"subscription_only": true,
"subscription_interval": 123,
"subscription_interval_unit": "<string>",
"subscription_interval_unit_identifier": "<string>",
"subscription_price": "<string>",
"subscription_price_in_currency": "<string>",
"subscription_start": "<string>",
"subscribe_and_save": "<string>",
"subscribe_and_save_in_currency": "<string>",
"subscribe_and_save_for_display": "<string>",
"display_to_customer": true,
"metadata": {},
"image_url": "<string>",
"free_item": true,
"allow_subscription": true,
"enrollment": true,
"errors": [
"<string>"
],
"creditable_points": 123,
"product": {},
"variant": {
"id": 123,
"title": "<string>",
"display_name": "<string>",
"image_url": "<string>",
"image_path": "<string>",
"sku": "<string>",
"primary_image": "<string>",
"price": 123,
"price_in_currency": "<string>",
"currency_code": "<string>",
"options": [
{
"title": "<string>",
"value": "<string>"
}
],
"physical": true,
"unit_of_size": "<string>",
"height": 123,
"width": 123,
"length": 123,
"unit_of_weight": "<string>",
"weight": "<string>",
"hs_code": "<string>"
},
"bundled_items": [
{}
],
"product_title": "<string>"
}
],
"ship_to": {
"id": 123,
"name": "<string>",
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"state": "<string>",
"subdivision_code": "<string>",
"postal_code": "<string>",
"country_code": "<string>",
"phone": "<string>",
"country_num_code": 123,
"default": true
},
"bill_to": {},
"attribution": {},
"agreements": [
{
"id": 123,
"title": "<string>",
"show_at_checkout": true,
"default_checked": true,
"subscription_only": true,
"standalone_on_checkout": true,
"show_path": "<string>",
"enrollment_pack_id": 123,
"required": true,
"content_digest": "<string>"
}
],
"country": {
"id": 123,
"name": "<string>",
"iso": "<string>",
"iso_name": "<string>",
"iso3": "<string>",
"currency_code": "<string>",
"currency_symbol": "<string>",
"province_required": true,
"tax_enabled": true,
"price_inclusive_of_tax": true,
"price_inclusive_tax_name": "<string>",
"tax_standard_rate": 123
},
"company": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"identity_sign_in_enabled": true,
"checkout_identity_enabled": true,
"id": 123,
"name": "<string>",
"favicon_url": "<string>",
"primary_domain_hostname": "<string>",
"subdomain": "<string>",
"logo_url": "<string>",
"fluid_shop": "<string>",
"collect_phone": true,
"require_phone": true,
"require_billing_zip": true,
"checkout_primary_button_color": "<string>",
"checkout_primary_text_color": "<string>",
"checkout_secondary_button_color": "<string>",
"checkout_secondary_text_color": "<string>",
"order_on_behalf": true,
"reward_points_enabled": true,
"reward_points_apply_to_subtotal": true,
"reward_points_label_singular": "<string>",
"reward_points_label_plural": "<string>",
"collect_sms_marketing": true,
"sms_terms_url": "<string>",
"sms_privacy_policy_url": "<string>",
"collect_email_marketing": true,
"bundle_subscriptions": true,
"hide_volume_on_customer_surfaces": true,
"isolated_payment_tokens": true,
"kount_environment": "sandbox",
"kount_client_id": "150953359757648"
},
"enrollment_pack": {},
"recurring": [
{
"subtotal": 123,
"subtotal_in_currency": "<string>",
"interval": 123,
"interval_unit": "<string>",
"interval_unit_identifier": "day",
"subtotal_for_display": "<string>",
"start_date": "<string>",
"subscription_start_notice": {
"message": "We never bill on the 29th to the 31st, so your first order bills on the 28th.",
"moved_from": "2026-11-30"
}
}
]
}
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"shop_url": "<string>",
"cart": {
"enrollment": true,
"id": 123,
"cart_token": "<string>",
"state": "<string>",
"state_revision": 1,
"population_status": "pending",
"email": "<string>",
"phone": "<string>",
"phone_dialable": true,
"sms_marketing_preselected": true,
"language_iso": "<string>",
"currency_code": "<string>",
"currency_symbol": "<string>",
"currency_decimal_places": 123,
"type": "<string>",
"buyer_rep_id": 123,
"customer_id": 123,
"enrollment_pack_id": 123,
"enrollment_member_type": {
"id": "22c58158-7f6c-4f33-a033-32e259941684",
"slug": "rep",
"name": "Representative"
},
"email_marketing": true,
"sms_marketing": true,
"auto_apply_points": true,
"processed": true,
"payment_in_progress": true,
"payment_resume_url": "<string>",
"valid_for_checkout": true,
"valid_for_checkout_pre_payment": true,
"checkout_blockers": [
{
"code": "<string>",
"message": "<string>",
"field": "<string>",
"payment": "not_attempted"
}
],
"contains_subscription": true,
"vault_without_charge": true,
"payment_method_auto_assignable": true,
"requires_payment_method": true,
"requires_3ds": true,
"immutable_items": true,
"digital_only": true,
"points_enabled": true,
"messages": {},
"metadata": {},
"cv_total": "<string>",
"qv_total": "<string>",
"amount_total": 123,
"amount_total_in_currency": "<string>",
"sub_total": 123,
"sub_total_in_currency": "<string>",
"tax_total": 123,
"tax_exempt": true,
"tax_total_in_currency": "<string>",
"tax_total_for_display": "<string>",
"inclusive_shipping_tax": 123,
"shipping_total": 123,
"shipping_total_in_currency": "<string>",
"shipping_total_for_display": "<string>",
"discount_total": 123,
"discount_total_in_currency": "<string>",
"subtotal_after_discounts": 123,
"subtotal_after_discounts_in_currency": "<string>",
"price_inclusive_of_tax": true,
"price_inclusive_tax_name": "<string>",
"totals": {
"gross_subtotal": "<string>",
"gross_subtotal_in_currency": "<string>",
"net_subtotal": "<string>",
"net_subtotal_in_currency": "<string>",
"item_tax": "<string>",
"item_tax_in_currency": "<string>",
"shipping_net": "<string>",
"shipping_net_in_currency": "<string>",
"shipping_tax": "<string>",
"shipping_tax_in_currency": "<string>",
"total_tax": "<string>",
"total_tax_in_currency": "<string>",
"price_inclusive_of_tax": true,
"tax_label": "<string>"
},
"enrollment_fee": 123,
"enrollment_fee_in_currency": "<string>",
"transaction_fee": 123,
"transaction_fee_in_currency": "<string>",
"shipping_discount": 123,
"discount_codes": [
"<string>"
],
"product_discount_codes": [
"<string>"
],
"shipping_discount_codes": [
"<string>"
],
"customer_total_points": 123,
"customer_total_points_decimal": "120.0000",
"customer_total_points_in_currency": "<string>",
"points_applied": 123,
"points_applied_decimal": "120.0000",
"points_applied_amount_in_currency": "<string>",
"remaining_customer_points": 123,
"remaining_customer_points_decimal": "120.0000",
"remaining_customer_points_amount_in_currency": "<string>",
"remaining_cart_amount_after_points": 123,
"remaining_cart_amount_after_points_in_currency": "<string>",
"max_applicable_points": 123,
"points_unavailable_in_market": true,
"max_applicable_points_decimal": "120.0000",
"total_creditable_points": 123,
"total_creditable_points_decimal": "120.0000",
"shipping_address": {},
"billing_address": {},
"discount_breakdown": {
"internal_discounts": 123,
"external_discounts": 123,
"total_discounts": 123
},
"external_discount": {},
"buyer_rep": {
"id": 123,
"email": "<string>",
"full_name": "<string>",
"image_url": "<string>",
"external_id": "<string>"
},
"buyer_rep_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"volume_rep": {
"id": 123,
"email": "<string>",
"full_name": "<string>",
"image_url": "<string>"
},
"volume_rep_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"available_shipping_methods": [
{
"id": "<string>",
"title": "<string>",
"price": 123,
"delivery_time_estimate": "<string>",
"price_label": "<string>"
}
],
"available_payment_methods": [
{}
],
"payment_unavailable_reason": "no_gateway_for_country",
"payment_account": {},
"shipping_method": {
"id": "<string>",
"name": "<string>"
},
"payment_method": {},
"items": [
{
"id": 123,
"title": "<string>",
"quantity": 123,
"price": "<string>",
"price_in_currency": "<string>",
"discount_amount": "<string>",
"discount_amount_in_currency": "<string>",
"tax": "<string>",
"tax_in_currency": "<string>",
"cv": "<string>",
"qv": "<string>",
"cv_total": "<string>",
"qv_total": "<string>",
"total": "<string>",
"total_in_currency": "<string>",
"line_total_in_currency": "<string>",
"total_after_discounts": "<string>",
"total_after_discounts_in_currency": "<string>",
"line_total_after_discounts_in_currency": "<string>",
"regular_line_total_in_currency": "<string>",
"unit_price_display_authoritative": true,
"price_unavailable": true,
"subscription_start_notice": {
"message": "We never bill on the 29th to the 31st, so your first order bills on the 28th.",
"moved_from": "2026-11-30"
},
"enrollment_pack_id": 123,
"subscription": true,
"subscription_plan_id": 123,
"subscription_plans": [
{}
],
"subscription_only": true,
"subscription_interval": 123,
"subscription_interval_unit": "<string>",
"subscription_interval_unit_identifier": "<string>",
"subscription_price": "<string>",
"subscription_price_in_currency": "<string>",
"subscription_start": "<string>",
"subscribe_and_save": "<string>",
"subscribe_and_save_in_currency": "<string>",
"subscribe_and_save_for_display": "<string>",
"display_to_customer": true,
"metadata": {},
"image_url": "<string>",
"free_item": true,
"allow_subscription": true,
"enrollment": true,
"errors": [
"<string>"
],
"creditable_points": 123,
"product": {},
"variant": {
"id": 123,
"title": "<string>",
"display_name": "<string>",
"image_url": "<string>",
"image_path": "<string>",
"sku": "<string>",
"primary_image": "<string>",
"price": 123,
"price_in_currency": "<string>",
"currency_code": "<string>",
"options": [
{
"title": "<string>",
"value": "<string>"
}
],
"physical": true,
"unit_of_size": "<string>",
"height": 123,
"width": 123,
"length": 123,
"unit_of_weight": "<string>",
"weight": "<string>",
"hs_code": "<string>"
},
"bundled_items": [
{}
],
"product_title": "<string>"
}
],
"ship_to": {
"id": 123,
"name": "<string>",
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"state": "<string>",
"subdivision_code": "<string>",
"postal_code": "<string>",
"country_code": "<string>",
"phone": "<string>",
"country_num_code": 123,
"default": true
},
"bill_to": {},
"attribution": {},
"agreements": [
{
"id": 123,
"title": "<string>",
"show_at_checkout": true,
"default_checked": true,
"subscription_only": true,
"standalone_on_checkout": true,
"show_path": "<string>",
"enrollment_pack_id": 123,
"required": true,
"content_digest": "<string>"
}
],
"country": {
"id": 123,
"name": "<string>",
"iso": "<string>",
"iso_name": "<string>",
"iso3": "<string>",
"currency_code": "<string>",
"currency_symbol": "<string>",
"province_required": true,
"tax_enabled": true,
"price_inclusive_of_tax": true,
"price_inclusive_tax_name": "<string>",
"tax_standard_rate": 123
},
"company": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"identity_sign_in_enabled": true,
"checkout_identity_enabled": true,
"id": 123,
"name": "<string>",
"favicon_url": "<string>",
"primary_domain_hostname": "<string>",
"subdomain": "<string>",
"logo_url": "<string>",
"fluid_shop": "<string>",
"collect_phone": true,
"require_phone": true,
"require_billing_zip": true,
"checkout_primary_button_color": "<string>",
"checkout_primary_text_color": "<string>",
"checkout_secondary_button_color": "<string>",
"checkout_secondary_text_color": "<string>",
"order_on_behalf": true,
"reward_points_enabled": true,
"reward_points_apply_to_subtotal": true,
"reward_points_label_singular": "<string>",
"reward_points_label_plural": "<string>",
"collect_sms_marketing": true,
"sms_terms_url": "<string>",
"sms_privacy_policy_url": "<string>",
"collect_email_marketing": true,
"bundle_subscriptions": true,
"hide_volume_on_customer_surfaces": true,
"isolated_payment_tokens": true,
"kount_environment": "sandbox",
"kount_client_id": "150953359757648"
},
"enrollment_pack": {},
"recurring": [
{
"subtotal": 123,
"subtotal_in_currency": "<string>",
"interval": 123,
"interval_unit": "<string>",
"interval_unit_identifier": "day",
"subtotal_for_display": "<string>",
"start_date": "<string>",
"subscription_start_notice": {
"message": "We never bill on the 29th to the 31st, so your first order bills on the 28th.",
"moved_from": "2026-11-30"
}
}
]
},
"code": "<string>",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}Authorizations
Bearer token authentication
Body
application/json
⌘I
Update Volumes update volumes
curl --request PATCH \
--url https://api.fluid.app/api/public/v2025-06/commerce/carts/{cart_token}/items/{item_id}/update_volumes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cv": "5.25",
"qv": "2.5"
}
'import requests
url = "https://api.fluid.app/api/public/v2025-06/commerce/carts/{cart_token}/items/{item_id}/update_volumes"
payload = {
"cv": "5.25",
"qv": "2.5"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({cv: '5.25', qv: '2.5'})
};
fetch('https://api.fluid.app/api/public/v2025-06/commerce/carts/{cart_token}/items/{item_id}/update_volumes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/public/v2025-06/commerce/carts/{cart_token}/items/{item_id}/update_volumes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'cv' => '5.25',
'qv' => '2.5'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/public/v2025-06/commerce/carts/{cart_token}/items/{item_id}/update_volumes"
payload := strings.NewReader("{\n \"cv\": \"5.25\",\n \"qv\": \"2.5\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.fluid.app/api/public/v2025-06/commerce/carts/{cart_token}/items/{item_id}/update_volumes")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"cv\": \"5.25\",\n \"qv\": \"2.5\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/public/v2025-06/commerce/carts/{cart_token}/items/{item_id}/update_volumes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"cv\": \"5.25\",\n \"qv\": \"2.5\"\n}"
response = http.request(request)
puts response.read_body{
"cart": {
"id": 48213,
"agreements": [
{
"id": 7314,
"default_checked": false,
"enrollment_pack_id": null,
"required": true,
"show_at_checkout": true,
"show_path": "/api/agreements/7314",
"standalone_on_checkout": false,
"content_digest": "4f7f9a2d0c6b1e8e3a5d9c7b2f1e0d4c8b6a5f3e2d1c0b9a8f7e6d5c4b3a2918",
"subscription_only": false,
"title": "Dunder Mifflin Terms of Service"
}
],
"amount_total": 55.48,
"amount_total_in_currency": "$55.48",
"attribution": null,
"auto_apply_points": false,
"available_payment_methods": [
{
"id": 20931,
"uuid": "pa_dm_cc_01",
"type": "credit_card",
"name": "Credit Card",
"image_url": "https://cdn.fluid.app/images/payment_icons/generic.svg",
"test": false,
"sandbox": false,
"supported_brands": [],
"bogus_gateway": false,
"tokenize_path": "/api/v202506/payments/tokenize_card",
"token_provider": "vgs",
"apple_pay": false,
"apple_pay_recurring_supported": false,
"apple_pay_merchant_identifier": null,
"customer_details_schema": {},
"collect_billing_address": true
}
],
"available_shipping_methods": [
{
"id": "5120",
"title": "Standard Shipping",
"price": 5.99,
"delivery_time_estimate": "3-5 business days",
"price_label": "$5.99"
},
{
"id": "5121",
"title": "Express Shipping",
"price": 12.99,
"delivery_time_estimate": "1-2 business days",
"price_label": "$12.99"
}
],
"bill_to": null,
"billing_address": null,
"buyer_rep": null,
"buyer_rep_id": null,
"buyer_rep_member_id": null,
"cart_token": "ct_7Hk2mQx9vRbT3nWz8LpYc4",
"checkout_blockers": [
{
"code": "shipping_address",
"message": "is required",
"field": "shipping_address",
"payment": "not_attempted"
}
],
"company": {
"id": 1405,
"bundle_subscriptions": false,
"checkout_primary_button_color": null,
"checkout_primary_text_color": null,
"checkout_secondary_button_color": null,
"checkout_secondary_text_color": null,
"collect_email_marketing": false,
"collect_phone": false,
"collect_sms_marketing": false,
"favicon_url": null,
"fluid_shop": "dunder-mifflin.fluid.app",
"hide_volume_on_customer_surfaces": false,
"isolated_payment_tokens": false,
"kount_client_id": null,
"kount_environment": "production",
"logo_url": "https://cdn.fluid.app/companies/1405/logo.png",
"name": "Dunder Mifflin Paper Company",
"order_on_behalf": false,
"primary_domain_hostname": "shop.dundermifflin.com",
"require_billing_zip": false,
"require_phone": false,
"reward_points_apply_to_subtotal": true,
"reward_points_enabled": false,
"reward_points_label_plural": "points",
"reward_points_label_singular": "point",
"subdomain": "dunder-mifflin"
},
"contains_subscription": false,
"country": {
"id": 214,
"currency_code": "USD",
"currency_symbol": "$",
"iso": "US",
"iso3": "USA",
"iso_name": "UNITED STATES",
"name": "United States",
"price_inclusive_of_tax": false,
"price_inclusive_tax_name": "",
"province_required": false,
"tax_enabled": null,
"tax_standard_rate": null
},
"currency_code": "USD",
"currency_decimal_places": 2,
"currency_symbol": "$",
"customer_id": null,
"customer_total_points": 0,
"customer_total_points_decimal": "0.0000",
"customer_total_points_in_currency": "$0.00",
"cv_total": "5.25",
"digital_only": false,
"discount_breakdown": {
"internal_discounts": 5.5,
"external_discounts": 0,
"total_discounts": 5.5
},
"discount_codes": [
"PAPER10"
],
"discount_total": 5.5,
"discount_total_in_currency": "$5.50",
"email": "holly.flax@dundermifflin.com",
"email_marketing": null,
"enrollment": false,
"enrollment_fee": 0,
"enrollment_fee_in_currency": "$0.00",
"enrollment_member_type": null,
"enrollment_pack": null,
"enrollment_pack_id": null,
"external_discount": {
"total": 0,
"calculated_at": null,
"sources": {}
},
"immutable_items": false,
"inclusive_shipping_tax": 0,
"items": [
{
"id": 90417,
"allow_subscription": false,
"bundled_items": [],
"creditable_points": 0,
"cv": "5.25",
"cv_total": "0.0",
"discount_amount": "5.5",
"discount_amount_in_currency": "$5.50",
"display_to_customer": true,
"enrollment": false,
"enrollment_pack_id": null,
"errors": [],
"free_item": false,
"image_url": null,
"line_total_after_discounts_in_currency": "$49.49",
"line_total_in_currency": "$54.99",
"metadata": {
"paid_amount": 49.49,
"creditable_points": 0,
"volume_adjustments": {
"cv_adjustment": "0.25",
"qv_adjustment": "-2.5",
"cv_manually_updated": true,
"qv_manually_updated": true
}
},
"price": "54.99",
"price_in_currency": "$54.99",
"product": {
"id": 30211,
"canonical_url": "https://shop.dundermifflin.com/home/products/20lb-copy-paper",
"cv": "5",
"external_id": null,
"image_path": null,
"image_url": "https://cdn.fluid.app/products/20lb-copy-paper.jpg",
"introduction": null,
"metadata": {},
"metafields": [],
"metafields_collection": [],
"price": "54.99",
"price_in_currency": "$54.99",
"sku": "DM-20LB-CASE",
"subscription_price": "0.0",
"tax": "0.0",
"tax_in_currency": "$0.00",
"title": "Dunder Mifflin 20lb Copy Paper"
},
"product_title": "Dunder Mifflin 20lb Copy Paper",
"quantity": 1,
"qv": "2.5",
"qv_total": "0.0",
"regular_line_total_in_currency": "$54.99",
"subscribe_and_save": null,
"subscribe_and_save_for_display": null,
"subscribe_and_save_in_currency": null,
"subscription": false,
"subscription_interval": null,
"subscription_interval_unit": null,
"subscription_interval_unit_identifier": null,
"subscription_only": false,
"subscription_plan_id": null,
"subscription_plans": [],
"subscription_price": "54.99",
"subscription_price_in_currency": "$54.99",
"subscription_start": null,
"tax": "0.0",
"tax_in_currency": "$0.00",
"title": "Dunder Mifflin 20lb Copy Paper",
"total": "54.99",
"total_after_discounts": "49.49",
"total_after_discounts_in_currency": "$49.49",
"total_in_currency": "$54.99",
"unit_price_display_authoritative": true,
"variant": {
"id": 30212,
"currency_code": "USD",
"display_name": null,
"height": null,
"hs_code": null,
"image_path": null,
"image_url": null,
"length": null,
"options": [],
"physical": true,
"price": "54.99",
"price_in_currency": "$54.99",
"primary_image": null,
"sku": "DM-20LB-CASE",
"title": null,
"unit_of_size": null,
"unit_of_weight": null,
"weight": null,
"width": null
}
}
],
"language_iso": null,
"max_applicable_points": 0,
"points_unavailable_in_market": false,
"max_applicable_points_decimal": "0.0000",
"messages": {},
"metadata": {
"shipping": {
"id": 5120,
"price": 5.99,
"title": "Standard Shipping",
"delivery_time_estimate": "3-5 business days"
},
"total_creditable_points": 0,
"available_shipping_methods": [
{
"id": 5120,
"price": 5.99,
"title": "Standard Shipping",
"priority": 0,
"price_label": "$5.99",
"delivery_time_estimate": "3-5 business days"
},
{
"id": 5121,
"price": 12.99,
"title": "Express Shipping",
"priority": 1,
"price_label": "$12.99",
"delivery_time_estimate": "1-2 business days"
}
]
},
"payment_account": null,
"payment_method": null,
"payment_method_auto_assignable": false,
"payment_unavailable_reason": null,
"phone": null,
"points_applied": 0,
"points_applied_decimal": "0.0000",
"points_applied_amount_in_currency": "$0.00",
"points_enabled": false,
"population_status": "complete",
"price_inclusive_of_tax": false,
"price_inclusive_tax_name": null,
"processed": false,
"product_discount_codes": [
"PAPER10"
],
"qv_total": "2.5",
"recurring": [],
"remaining_cart_amount_after_points": 55.48,
"remaining_cart_amount_after_points_in_currency": "$55.48",
"remaining_customer_points": 0,
"remaining_customer_points_decimal": "0.0000",
"remaining_customer_points_amount_in_currency": "$0.00",
"requires_3ds": false,
"requires_payment_method": true,
"ship_to": null,
"shipping_address": null,
"shipping_discount": 0,
"shipping_discount_codes": [],
"shipping_method": {
"id": "5120",
"name": "Standard Shipping"
},
"shipping_total": 5.99,
"shipping_total_for_display": "$5.99",
"shipping_total_in_currency": "$5.99",
"sms_marketing": null,
"state": "start",
"state_revision": 7,
"sub_total": 54.99,
"sub_total_in_currency": "$54.99",
"subtotal_after_discounts": 49.49,
"subtotal_after_discounts_in_currency": "$49.49",
"tax_exempt": false,
"tax_total": 0,
"tax_total_for_display": "$--",
"tax_total_in_currency": "$0.00",
"total_creditable_points": 0,
"total_creditable_points_decimal": "0.0000",
"totals": {
"gross_subtotal": "54.99",
"gross_subtotal_in_currency": "$54.99",
"net_subtotal": "54.99",
"net_subtotal_in_currency": "$54.99",
"item_tax": "0.00",
"item_tax_in_currency": "$0.00",
"shipping_net": "5.99",
"shipping_net_in_currency": "$5.99",
"shipping_tax": "0.00",
"shipping_tax_in_currency": "$0.00",
"total_tax": "0.00",
"total_tax_in_currency": "$0.00",
"price_inclusive_of_tax": false,
"tax_label": null
},
"transaction_fee": 0,
"transaction_fee_in_currency": "$0.00",
"type": "regular",
"valid_for_checkout": false,
"valid_for_checkout_pre_payment": false,
"vault_without_charge": false,
"volume_rep": null,
"volume_rep_member_id": null
},
"meta": {
"request_id": "3f6b1c2e-8d4a-4b7f-9e21-6c5d0a8f4b93",
"timestamp": "2026-09-14T15:42:08Z",
"shop_url": "https://shop.dundermifflin.com/",
"checkout_url": "https://checkout.fluid.app/checkouts/ct_7Hk2mQx9vRbT3nWz8LpYc4?fluid_shop=dunder-mifflin"
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"shop_url": "<string>",
"cart": {
"enrollment": true,
"id": 123,
"cart_token": "<string>",
"state": "<string>",
"state_revision": 1,
"population_status": "pending",
"email": "<string>",
"phone": "<string>",
"phone_dialable": true,
"sms_marketing_preselected": true,
"language_iso": "<string>",
"currency_code": "<string>",
"currency_symbol": "<string>",
"currency_decimal_places": 123,
"type": "<string>",
"buyer_rep_id": 123,
"customer_id": 123,
"enrollment_pack_id": 123,
"enrollment_member_type": {
"id": "22c58158-7f6c-4f33-a033-32e259941684",
"slug": "rep",
"name": "Representative"
},
"email_marketing": true,
"sms_marketing": true,
"auto_apply_points": true,
"processed": true,
"payment_in_progress": true,
"payment_resume_url": "<string>",
"valid_for_checkout": true,
"valid_for_checkout_pre_payment": true,
"checkout_blockers": [
{
"code": "<string>",
"message": "<string>",
"field": "<string>",
"payment": "not_attempted"
}
],
"contains_subscription": true,
"vault_without_charge": true,
"payment_method_auto_assignable": true,
"requires_payment_method": true,
"requires_3ds": true,
"immutable_items": true,
"digital_only": true,
"points_enabled": true,
"messages": {},
"metadata": {},
"cv_total": "<string>",
"qv_total": "<string>",
"amount_total": 123,
"amount_total_in_currency": "<string>",
"sub_total": 123,
"sub_total_in_currency": "<string>",
"tax_total": 123,
"tax_exempt": true,
"tax_total_in_currency": "<string>",
"tax_total_for_display": "<string>",
"inclusive_shipping_tax": 123,
"shipping_total": 123,
"shipping_total_in_currency": "<string>",
"shipping_total_for_display": "<string>",
"discount_total": 123,
"discount_total_in_currency": "<string>",
"subtotal_after_discounts": 123,
"subtotal_after_discounts_in_currency": "<string>",
"price_inclusive_of_tax": true,
"price_inclusive_tax_name": "<string>",
"totals": {
"gross_subtotal": "<string>",
"gross_subtotal_in_currency": "<string>",
"net_subtotal": "<string>",
"net_subtotal_in_currency": "<string>",
"item_tax": "<string>",
"item_tax_in_currency": "<string>",
"shipping_net": "<string>",
"shipping_net_in_currency": "<string>",
"shipping_tax": "<string>",
"shipping_tax_in_currency": "<string>",
"total_tax": "<string>",
"total_tax_in_currency": "<string>",
"price_inclusive_of_tax": true,
"tax_label": "<string>"
},
"enrollment_fee": 123,
"enrollment_fee_in_currency": "<string>",
"transaction_fee": 123,
"transaction_fee_in_currency": "<string>",
"shipping_discount": 123,
"discount_codes": [
"<string>"
],
"product_discount_codes": [
"<string>"
],
"shipping_discount_codes": [
"<string>"
],
"customer_total_points": 123,
"customer_total_points_decimal": "120.0000",
"customer_total_points_in_currency": "<string>",
"points_applied": 123,
"points_applied_decimal": "120.0000",
"points_applied_amount_in_currency": "<string>",
"remaining_customer_points": 123,
"remaining_customer_points_decimal": "120.0000",
"remaining_customer_points_amount_in_currency": "<string>",
"remaining_cart_amount_after_points": 123,
"remaining_cart_amount_after_points_in_currency": "<string>",
"max_applicable_points": 123,
"points_unavailable_in_market": true,
"max_applicable_points_decimal": "120.0000",
"total_creditable_points": 123,
"total_creditable_points_decimal": "120.0000",
"shipping_address": {},
"billing_address": {},
"discount_breakdown": {
"internal_discounts": 123,
"external_discounts": 123,
"total_discounts": 123
},
"external_discount": {},
"buyer_rep": {
"id": 123,
"email": "<string>",
"full_name": "<string>",
"image_url": "<string>",
"external_id": "<string>"
},
"buyer_rep_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"volume_rep": {
"id": 123,
"email": "<string>",
"full_name": "<string>",
"image_url": "<string>"
},
"volume_rep_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"available_shipping_methods": [
{
"id": "<string>",
"title": "<string>",
"price": 123,
"delivery_time_estimate": "<string>",
"price_label": "<string>"
}
],
"available_payment_methods": [
{}
],
"payment_unavailable_reason": "no_gateway_for_country",
"payment_account": {},
"shipping_method": {
"id": "<string>",
"name": "<string>"
},
"payment_method": {},
"items": [
{
"id": 123,
"title": "<string>",
"quantity": 123,
"price": "<string>",
"price_in_currency": "<string>",
"discount_amount": "<string>",
"discount_amount_in_currency": "<string>",
"tax": "<string>",
"tax_in_currency": "<string>",
"cv": "<string>",
"qv": "<string>",
"cv_total": "<string>",
"qv_total": "<string>",
"total": "<string>",
"total_in_currency": "<string>",
"line_total_in_currency": "<string>",
"total_after_discounts": "<string>",
"total_after_discounts_in_currency": "<string>",
"line_total_after_discounts_in_currency": "<string>",
"regular_line_total_in_currency": "<string>",
"unit_price_display_authoritative": true,
"price_unavailable": true,
"subscription_start_notice": {
"message": "We never bill on the 29th to the 31st, so your first order bills on the 28th.",
"moved_from": "2026-11-30"
},
"enrollment_pack_id": 123,
"subscription": true,
"subscription_plan_id": 123,
"subscription_plans": [
{}
],
"subscription_only": true,
"subscription_interval": 123,
"subscription_interval_unit": "<string>",
"subscription_interval_unit_identifier": "<string>",
"subscription_price": "<string>",
"subscription_price_in_currency": "<string>",
"subscription_start": "<string>",
"subscribe_and_save": "<string>",
"subscribe_and_save_in_currency": "<string>",
"subscribe_and_save_for_display": "<string>",
"display_to_customer": true,
"metadata": {},
"image_url": "<string>",
"free_item": true,
"allow_subscription": true,
"enrollment": true,
"errors": [
"<string>"
],
"creditable_points": 123,
"product": {},
"variant": {
"id": 123,
"title": "<string>",
"display_name": "<string>",
"image_url": "<string>",
"image_path": "<string>",
"sku": "<string>",
"primary_image": "<string>",
"price": 123,
"price_in_currency": "<string>",
"currency_code": "<string>",
"options": [
{
"title": "<string>",
"value": "<string>"
}
],
"physical": true,
"unit_of_size": "<string>",
"height": 123,
"width": 123,
"length": 123,
"unit_of_weight": "<string>",
"weight": "<string>",
"hs_code": "<string>"
},
"bundled_items": [
{}
],
"product_title": "<string>"
}
],
"ship_to": {
"id": 123,
"name": "<string>",
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"state": "<string>",
"subdivision_code": "<string>",
"postal_code": "<string>",
"country_code": "<string>",
"phone": "<string>",
"country_num_code": 123,
"default": true
},
"bill_to": {},
"attribution": {},
"agreements": [
{
"id": 123,
"title": "<string>",
"show_at_checkout": true,
"default_checked": true,
"subscription_only": true,
"standalone_on_checkout": true,
"show_path": "<string>",
"enrollment_pack_id": 123,
"required": true,
"content_digest": "<string>"
}
],
"country": {
"id": 123,
"name": "<string>",
"iso": "<string>",
"iso_name": "<string>",
"iso3": "<string>",
"currency_code": "<string>",
"currency_symbol": "<string>",
"province_required": true,
"tax_enabled": true,
"price_inclusive_of_tax": true,
"price_inclusive_tax_name": "<string>",
"tax_standard_rate": 123
},
"company": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"identity_sign_in_enabled": true,
"checkout_identity_enabled": true,
"id": 123,
"name": "<string>",
"favicon_url": "<string>",
"primary_domain_hostname": "<string>",
"subdomain": "<string>",
"logo_url": "<string>",
"fluid_shop": "<string>",
"collect_phone": true,
"require_phone": true,
"require_billing_zip": true,
"checkout_primary_button_color": "<string>",
"checkout_primary_text_color": "<string>",
"checkout_secondary_button_color": "<string>",
"checkout_secondary_text_color": "<string>",
"order_on_behalf": true,
"reward_points_enabled": true,
"reward_points_apply_to_subtotal": true,
"reward_points_label_singular": "<string>",
"reward_points_label_plural": "<string>",
"collect_sms_marketing": true,
"sms_terms_url": "<string>",
"sms_privacy_policy_url": "<string>",
"collect_email_marketing": true,
"bundle_subscriptions": true,
"hide_volume_on_customer_surfaces": true,
"isolated_payment_tokens": true,
"kount_environment": "sandbox",
"kount_client_id": "150953359757648"
},
"enrollment_pack": {},
"recurring": [
{
"subtotal": 123,
"subtotal_in_currency": "<string>",
"interval": 123,
"interval_unit": "<string>",
"interval_unit_identifier": "day",
"subtotal_for_display": "<string>",
"start_date": "<string>",
"subscription_start_notice": {
"message": "We never bill on the 29th to the 31st, so your first order bills on the 28th.",
"moved_from": "2026-11-30"
}
}
]
},
"code": "<string>",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"shop_url": "<string>",
"cart": {
"enrollment": true,
"id": 123,
"cart_token": "<string>",
"state": "<string>",
"state_revision": 1,
"population_status": "pending",
"email": "<string>",
"phone": "<string>",
"phone_dialable": true,
"sms_marketing_preselected": true,
"language_iso": "<string>",
"currency_code": "<string>",
"currency_symbol": "<string>",
"currency_decimal_places": 123,
"type": "<string>",
"buyer_rep_id": 123,
"customer_id": 123,
"enrollment_pack_id": 123,
"enrollment_member_type": {
"id": "22c58158-7f6c-4f33-a033-32e259941684",
"slug": "rep",
"name": "Representative"
},
"email_marketing": true,
"sms_marketing": true,
"auto_apply_points": true,
"processed": true,
"payment_in_progress": true,
"payment_resume_url": "<string>",
"valid_for_checkout": true,
"valid_for_checkout_pre_payment": true,
"checkout_blockers": [
{
"code": "<string>",
"message": "<string>",
"field": "<string>",
"payment": "not_attempted"
}
],
"contains_subscription": true,
"vault_without_charge": true,
"payment_method_auto_assignable": true,
"requires_payment_method": true,
"requires_3ds": true,
"immutable_items": true,
"digital_only": true,
"points_enabled": true,
"messages": {},
"metadata": {},
"cv_total": "<string>",
"qv_total": "<string>",
"amount_total": 123,
"amount_total_in_currency": "<string>",
"sub_total": 123,
"sub_total_in_currency": "<string>",
"tax_total": 123,
"tax_exempt": true,
"tax_total_in_currency": "<string>",
"tax_total_for_display": "<string>",
"inclusive_shipping_tax": 123,
"shipping_total": 123,
"shipping_total_in_currency": "<string>",
"shipping_total_for_display": "<string>",
"discount_total": 123,
"discount_total_in_currency": "<string>",
"subtotal_after_discounts": 123,
"subtotal_after_discounts_in_currency": "<string>",
"price_inclusive_of_tax": true,
"price_inclusive_tax_name": "<string>",
"totals": {
"gross_subtotal": "<string>",
"gross_subtotal_in_currency": "<string>",
"net_subtotal": "<string>",
"net_subtotal_in_currency": "<string>",
"item_tax": "<string>",
"item_tax_in_currency": "<string>",
"shipping_net": "<string>",
"shipping_net_in_currency": "<string>",
"shipping_tax": "<string>",
"shipping_tax_in_currency": "<string>",
"total_tax": "<string>",
"total_tax_in_currency": "<string>",
"price_inclusive_of_tax": true,
"tax_label": "<string>"
},
"enrollment_fee": 123,
"enrollment_fee_in_currency": "<string>",
"transaction_fee": 123,
"transaction_fee_in_currency": "<string>",
"shipping_discount": 123,
"discount_codes": [
"<string>"
],
"product_discount_codes": [
"<string>"
],
"shipping_discount_codes": [
"<string>"
],
"customer_total_points": 123,
"customer_total_points_decimal": "120.0000",
"customer_total_points_in_currency": "<string>",
"points_applied": 123,
"points_applied_decimal": "120.0000",
"points_applied_amount_in_currency": "<string>",
"remaining_customer_points": 123,
"remaining_customer_points_decimal": "120.0000",
"remaining_customer_points_amount_in_currency": "<string>",
"remaining_cart_amount_after_points": 123,
"remaining_cart_amount_after_points_in_currency": "<string>",
"max_applicable_points": 123,
"points_unavailable_in_market": true,
"max_applicable_points_decimal": "120.0000",
"total_creditable_points": 123,
"total_creditable_points_decimal": "120.0000",
"shipping_address": {},
"billing_address": {},
"discount_breakdown": {
"internal_discounts": 123,
"external_discounts": 123,
"total_discounts": 123
},
"external_discount": {},
"buyer_rep": {
"id": 123,
"email": "<string>",
"full_name": "<string>",
"image_url": "<string>",
"external_id": "<string>"
},
"buyer_rep_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"volume_rep": {
"id": 123,
"email": "<string>",
"full_name": "<string>",
"image_url": "<string>"
},
"volume_rep_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"available_shipping_methods": [
{
"id": "<string>",
"title": "<string>",
"price": 123,
"delivery_time_estimate": "<string>",
"price_label": "<string>"
}
],
"available_payment_methods": [
{}
],
"payment_unavailable_reason": "no_gateway_for_country",
"payment_account": {},
"shipping_method": {
"id": "<string>",
"name": "<string>"
},
"payment_method": {},
"items": [
{
"id": 123,
"title": "<string>",
"quantity": 123,
"price": "<string>",
"price_in_currency": "<string>",
"discount_amount": "<string>",
"discount_amount_in_currency": "<string>",
"tax": "<string>",
"tax_in_currency": "<string>",
"cv": "<string>",
"qv": "<string>",
"cv_total": "<string>",
"qv_total": "<string>",
"total": "<string>",
"total_in_currency": "<string>",
"line_total_in_currency": "<string>",
"total_after_discounts": "<string>",
"total_after_discounts_in_currency": "<string>",
"line_total_after_discounts_in_currency": "<string>",
"regular_line_total_in_currency": "<string>",
"unit_price_display_authoritative": true,
"price_unavailable": true,
"subscription_start_notice": {
"message": "We never bill on the 29th to the 31st, so your first order bills on the 28th.",
"moved_from": "2026-11-30"
},
"enrollment_pack_id": 123,
"subscription": true,
"subscription_plan_id": 123,
"subscription_plans": [
{}
],
"subscription_only": true,
"subscription_interval": 123,
"subscription_interval_unit": "<string>",
"subscription_interval_unit_identifier": "<string>",
"subscription_price": "<string>",
"subscription_price_in_currency": "<string>",
"subscription_start": "<string>",
"subscribe_and_save": "<string>",
"subscribe_and_save_in_currency": "<string>",
"subscribe_and_save_for_display": "<string>",
"display_to_customer": true,
"metadata": {},
"image_url": "<string>",
"free_item": true,
"allow_subscription": true,
"enrollment": true,
"errors": [
"<string>"
],
"creditable_points": 123,
"product": {},
"variant": {
"id": 123,
"title": "<string>",
"display_name": "<string>",
"image_url": "<string>",
"image_path": "<string>",
"sku": "<string>",
"primary_image": "<string>",
"price": 123,
"price_in_currency": "<string>",
"currency_code": "<string>",
"options": [
{
"title": "<string>",
"value": "<string>"
}
],
"physical": true,
"unit_of_size": "<string>",
"height": 123,
"width": 123,
"length": 123,
"unit_of_weight": "<string>",
"weight": "<string>",
"hs_code": "<string>"
},
"bundled_items": [
{}
],
"product_title": "<string>"
}
],
"ship_to": {
"id": 123,
"name": "<string>",
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"state": "<string>",
"subdivision_code": "<string>",
"postal_code": "<string>",
"country_code": "<string>",
"phone": "<string>",
"country_num_code": 123,
"default": true
},
"bill_to": {},
"attribution": {},
"agreements": [
{
"id": 123,
"title": "<string>",
"show_at_checkout": true,
"default_checked": true,
"subscription_only": true,
"standalone_on_checkout": true,
"show_path": "<string>",
"enrollment_pack_id": 123,
"required": true,
"content_digest": "<string>"
}
],
"country": {
"id": 123,
"name": "<string>",
"iso": "<string>",
"iso_name": "<string>",
"iso3": "<string>",
"currency_code": "<string>",
"currency_symbol": "<string>",
"province_required": true,
"tax_enabled": true,
"price_inclusive_of_tax": true,
"price_inclusive_tax_name": "<string>",
"tax_standard_rate": 123
},
"company": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"identity_sign_in_enabled": true,
"checkout_identity_enabled": true,
"id": 123,
"name": "<string>",
"favicon_url": "<string>",
"primary_domain_hostname": "<string>",
"subdomain": "<string>",
"logo_url": "<string>",
"fluid_shop": "<string>",
"collect_phone": true,
"require_phone": true,
"require_billing_zip": true,
"checkout_primary_button_color": "<string>",
"checkout_primary_text_color": "<string>",
"checkout_secondary_button_color": "<string>",
"checkout_secondary_text_color": "<string>",
"order_on_behalf": true,
"reward_points_enabled": true,
"reward_points_apply_to_subtotal": true,
"reward_points_label_singular": "<string>",
"reward_points_label_plural": "<string>",
"collect_sms_marketing": true,
"sms_terms_url": "<string>",
"sms_privacy_policy_url": "<string>",
"collect_email_marketing": true,
"bundle_subscriptions": true,
"hide_volume_on_customer_surfaces": true,
"isolated_payment_tokens": true,
"kount_environment": "sandbox",
"kount_client_id": "150953359757648"
},
"enrollment_pack": {},
"recurring": [
{
"subtotal": 123,
"subtotal_in_currency": "<string>",
"interval": 123,
"interval_unit": "<string>",
"interval_unit_identifier": "day",
"subtotal_for_display": "<string>",
"start_date": "<string>",
"subscription_start_notice": {
"message": "We never bill on the 29th to the 31st, so your first order bills on the 28th.",
"moved_from": "2026-11-30"
}
}
]
},
"code": "<string>",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}{
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "payment_in_progress",
"shop_url": "<string>",
"cart": {
"enrollment": true,
"id": 123,
"cart_token": "<string>",
"state": "<string>",
"state_revision": 1,
"population_status": "pending",
"email": "<string>",
"phone": "<string>",
"phone_dialable": true,
"sms_marketing_preselected": true,
"language_iso": "<string>",
"currency_code": "<string>",
"currency_symbol": "<string>",
"currency_decimal_places": 123,
"type": "<string>",
"buyer_rep_id": 123,
"customer_id": 123,
"enrollment_pack_id": 123,
"enrollment_member_type": {
"id": "22c58158-7f6c-4f33-a033-32e259941684",
"slug": "rep",
"name": "Representative"
},
"email_marketing": true,
"sms_marketing": true,
"auto_apply_points": true,
"processed": true,
"payment_in_progress": true,
"payment_resume_url": "<string>",
"valid_for_checkout": true,
"valid_for_checkout_pre_payment": true,
"checkout_blockers": [
{
"code": "<string>",
"message": "<string>",
"field": "<string>",
"payment": "not_attempted"
}
],
"contains_subscription": true,
"vault_without_charge": true,
"payment_method_auto_assignable": true,
"requires_payment_method": true,
"requires_3ds": true,
"immutable_items": true,
"digital_only": true,
"points_enabled": true,
"messages": {},
"metadata": {},
"cv_total": "<string>",
"qv_total": "<string>",
"amount_total": 123,
"amount_total_in_currency": "<string>",
"sub_total": 123,
"sub_total_in_currency": "<string>",
"tax_total": 123,
"tax_exempt": true,
"tax_total_in_currency": "<string>",
"tax_total_for_display": "<string>",
"inclusive_shipping_tax": 123,
"shipping_total": 123,
"shipping_total_in_currency": "<string>",
"shipping_total_for_display": "<string>",
"discount_total": 123,
"discount_total_in_currency": "<string>",
"subtotal_after_discounts": 123,
"subtotal_after_discounts_in_currency": "<string>",
"price_inclusive_of_tax": true,
"price_inclusive_tax_name": "<string>",
"totals": {
"gross_subtotal": "<string>",
"gross_subtotal_in_currency": "<string>",
"net_subtotal": "<string>",
"net_subtotal_in_currency": "<string>",
"item_tax": "<string>",
"item_tax_in_currency": "<string>",
"shipping_net": "<string>",
"shipping_net_in_currency": "<string>",
"shipping_tax": "<string>",
"shipping_tax_in_currency": "<string>",
"total_tax": "<string>",
"total_tax_in_currency": "<string>",
"price_inclusive_of_tax": true,
"tax_label": "<string>"
},
"enrollment_fee": 123,
"enrollment_fee_in_currency": "<string>",
"transaction_fee": 123,
"transaction_fee_in_currency": "<string>",
"shipping_discount": 123,
"discount_codes": [
"<string>"
],
"product_discount_codes": [
"<string>"
],
"shipping_discount_codes": [
"<string>"
],
"customer_total_points": 123,
"customer_total_points_decimal": "120.0000",
"customer_total_points_in_currency": "<string>",
"points_applied": 123,
"points_applied_decimal": "120.0000",
"points_applied_amount_in_currency": "<string>",
"remaining_customer_points": 123,
"remaining_customer_points_decimal": "120.0000",
"remaining_customer_points_amount_in_currency": "<string>",
"remaining_cart_amount_after_points": 123,
"remaining_cart_amount_after_points_in_currency": "<string>",
"max_applicable_points": 123,
"points_unavailable_in_market": true,
"max_applicable_points_decimal": "120.0000",
"total_creditable_points": 123,
"total_creditable_points_decimal": "120.0000",
"shipping_address": {},
"billing_address": {},
"discount_breakdown": {
"internal_discounts": 123,
"external_discounts": 123,
"total_discounts": 123
},
"external_discount": {},
"buyer_rep": {
"id": 123,
"email": "<string>",
"full_name": "<string>",
"image_url": "<string>",
"external_id": "<string>"
},
"buyer_rep_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"volume_rep": {
"id": 123,
"email": "<string>",
"full_name": "<string>",
"image_url": "<string>"
},
"volume_rep_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"available_shipping_methods": [
{
"id": "<string>",
"title": "<string>",
"price": 123,
"delivery_time_estimate": "<string>",
"price_label": "<string>"
}
],
"available_payment_methods": [
{}
],
"payment_unavailable_reason": "no_gateway_for_country",
"payment_account": {},
"shipping_method": {
"id": "<string>",
"name": "<string>"
},
"payment_method": {},
"items": [
{
"id": 123,
"title": "<string>",
"quantity": 123,
"price": "<string>",
"price_in_currency": "<string>",
"discount_amount": "<string>",
"discount_amount_in_currency": "<string>",
"tax": "<string>",
"tax_in_currency": "<string>",
"cv": "<string>",
"qv": "<string>",
"cv_total": "<string>",
"qv_total": "<string>",
"total": "<string>",
"total_in_currency": "<string>",
"line_total_in_currency": "<string>",
"total_after_discounts": "<string>",
"total_after_discounts_in_currency": "<string>",
"line_total_after_discounts_in_currency": "<string>",
"regular_line_total_in_currency": "<string>",
"unit_price_display_authoritative": true,
"price_unavailable": true,
"subscription_start_notice": {
"message": "We never bill on the 29th to the 31st, so your first order bills on the 28th.",
"moved_from": "2026-11-30"
},
"enrollment_pack_id": 123,
"subscription": true,
"subscription_plan_id": 123,
"subscription_plans": [
{}
],
"subscription_only": true,
"subscription_interval": 123,
"subscription_interval_unit": "<string>",
"subscription_interval_unit_identifier": "<string>",
"subscription_price": "<string>",
"subscription_price_in_currency": "<string>",
"subscription_start": "<string>",
"subscribe_and_save": "<string>",
"subscribe_and_save_in_currency": "<string>",
"subscribe_and_save_for_display": "<string>",
"display_to_customer": true,
"metadata": {},
"image_url": "<string>",
"free_item": true,
"allow_subscription": true,
"enrollment": true,
"errors": [
"<string>"
],
"creditable_points": 123,
"product": {},
"variant": {
"id": 123,
"title": "<string>",
"display_name": "<string>",
"image_url": "<string>",
"image_path": "<string>",
"sku": "<string>",
"primary_image": "<string>",
"price": 123,
"price_in_currency": "<string>",
"currency_code": "<string>",
"options": [
{
"title": "<string>",
"value": "<string>"
}
],
"physical": true,
"unit_of_size": "<string>",
"height": 123,
"width": 123,
"length": 123,
"unit_of_weight": "<string>",
"weight": "<string>",
"hs_code": "<string>"
},
"bundled_items": [
{}
],
"product_title": "<string>"
}
],
"ship_to": {
"id": 123,
"name": "<string>",
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"state": "<string>",
"subdivision_code": "<string>",
"postal_code": "<string>",
"country_code": "<string>",
"phone": "<string>",
"country_num_code": 123,
"default": true
},
"bill_to": {},
"attribution": {},
"agreements": [
{
"id": 123,
"title": "<string>",
"show_at_checkout": true,
"default_checked": true,
"subscription_only": true,
"standalone_on_checkout": true,
"show_path": "<string>",
"enrollment_pack_id": 123,
"required": true,
"content_digest": "<string>"
}
],
"country": {
"id": 123,
"name": "<string>",
"iso": "<string>",
"iso_name": "<string>",
"iso3": "<string>",
"currency_code": "<string>",
"currency_symbol": "<string>",
"province_required": true,
"tax_enabled": true,
"price_inclusive_of_tax": true,
"price_inclusive_tax_name": "<string>",
"tax_standard_rate": 123
},
"company": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"identity_sign_in_enabled": true,
"checkout_identity_enabled": true,
"id": 123,
"name": "<string>",
"favicon_url": "<string>",
"primary_domain_hostname": "<string>",
"subdomain": "<string>",
"logo_url": "<string>",
"fluid_shop": "<string>",
"collect_phone": true,
"require_phone": true,
"require_billing_zip": true,
"checkout_primary_button_color": "<string>",
"checkout_primary_text_color": "<string>",
"checkout_secondary_button_color": "<string>",
"checkout_secondary_text_color": "<string>",
"order_on_behalf": true,
"reward_points_enabled": true,
"reward_points_apply_to_subtotal": true,
"reward_points_label_singular": "<string>",
"reward_points_label_plural": "<string>",
"collect_sms_marketing": true,
"sms_terms_url": "<string>",
"sms_privacy_policy_url": "<string>",
"collect_email_marketing": true,
"bundle_subscriptions": true,
"hide_volume_on_customer_surfaces": true,
"isolated_payment_tokens": true,
"kount_environment": "sandbox",
"kount_client_id": "150953359757648"
},
"enrollment_pack": {},
"recurring": [
{
"subtotal": 123,
"subtotal_in_currency": "<string>",
"interval": 123,
"interval_unit": "<string>",
"interval_unit_identifier": "day",
"subtotal_for_display": "<string>",
"start_date": "<string>",
"subscription_start_notice": {
"message": "We never bill on the 29th to the 31st, so your first order bills on the 28th.",
"moved_from": "2026-11-30"
}
}
]
}
}
}{
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"shop_url": "<string>",
"cart": {
"enrollment": true,
"id": 123,
"cart_token": "<string>",
"state": "<string>",
"state_revision": 1,
"population_status": "pending",
"email": "<string>",
"phone": "<string>",
"phone_dialable": true,
"sms_marketing_preselected": true,
"language_iso": "<string>",
"currency_code": "<string>",
"currency_symbol": "<string>",
"currency_decimal_places": 123,
"type": "<string>",
"buyer_rep_id": 123,
"customer_id": 123,
"enrollment_pack_id": 123,
"enrollment_member_type": {
"id": "22c58158-7f6c-4f33-a033-32e259941684",
"slug": "rep",
"name": "Representative"
},
"email_marketing": true,
"sms_marketing": true,
"auto_apply_points": true,
"processed": true,
"payment_in_progress": true,
"payment_resume_url": "<string>",
"valid_for_checkout": true,
"valid_for_checkout_pre_payment": true,
"checkout_blockers": [
{
"code": "<string>",
"message": "<string>",
"field": "<string>",
"payment": "not_attempted"
}
],
"contains_subscription": true,
"vault_without_charge": true,
"payment_method_auto_assignable": true,
"requires_payment_method": true,
"requires_3ds": true,
"immutable_items": true,
"digital_only": true,
"points_enabled": true,
"messages": {},
"metadata": {},
"cv_total": "<string>",
"qv_total": "<string>",
"amount_total": 123,
"amount_total_in_currency": "<string>",
"sub_total": 123,
"sub_total_in_currency": "<string>",
"tax_total": 123,
"tax_exempt": true,
"tax_total_in_currency": "<string>",
"tax_total_for_display": "<string>",
"inclusive_shipping_tax": 123,
"shipping_total": 123,
"shipping_total_in_currency": "<string>",
"shipping_total_for_display": "<string>",
"discount_total": 123,
"discount_total_in_currency": "<string>",
"subtotal_after_discounts": 123,
"subtotal_after_discounts_in_currency": "<string>",
"price_inclusive_of_tax": true,
"price_inclusive_tax_name": "<string>",
"totals": {
"gross_subtotal": "<string>",
"gross_subtotal_in_currency": "<string>",
"net_subtotal": "<string>",
"net_subtotal_in_currency": "<string>",
"item_tax": "<string>",
"item_tax_in_currency": "<string>",
"shipping_net": "<string>",
"shipping_net_in_currency": "<string>",
"shipping_tax": "<string>",
"shipping_tax_in_currency": "<string>",
"total_tax": "<string>",
"total_tax_in_currency": "<string>",
"price_inclusive_of_tax": true,
"tax_label": "<string>"
},
"enrollment_fee": 123,
"enrollment_fee_in_currency": "<string>",
"transaction_fee": 123,
"transaction_fee_in_currency": "<string>",
"shipping_discount": 123,
"discount_codes": [
"<string>"
],
"product_discount_codes": [
"<string>"
],
"shipping_discount_codes": [
"<string>"
],
"customer_total_points": 123,
"customer_total_points_decimal": "120.0000",
"customer_total_points_in_currency": "<string>",
"points_applied": 123,
"points_applied_decimal": "120.0000",
"points_applied_amount_in_currency": "<string>",
"remaining_customer_points": 123,
"remaining_customer_points_decimal": "120.0000",
"remaining_customer_points_amount_in_currency": "<string>",
"remaining_cart_amount_after_points": 123,
"remaining_cart_amount_after_points_in_currency": "<string>",
"max_applicable_points": 123,
"points_unavailable_in_market": true,
"max_applicable_points_decimal": "120.0000",
"total_creditable_points": 123,
"total_creditable_points_decimal": "120.0000",
"shipping_address": {},
"billing_address": {},
"discount_breakdown": {
"internal_discounts": 123,
"external_discounts": 123,
"total_discounts": 123
},
"external_discount": {},
"buyer_rep": {
"id": 123,
"email": "<string>",
"full_name": "<string>",
"image_url": "<string>",
"external_id": "<string>"
},
"buyer_rep_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"volume_rep": {
"id": 123,
"email": "<string>",
"full_name": "<string>",
"image_url": "<string>"
},
"volume_rep_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"available_shipping_methods": [
{
"id": "<string>",
"title": "<string>",
"price": 123,
"delivery_time_estimate": "<string>",
"price_label": "<string>"
}
],
"available_payment_methods": [
{}
],
"payment_unavailable_reason": "no_gateway_for_country",
"payment_account": {},
"shipping_method": {
"id": "<string>",
"name": "<string>"
},
"payment_method": {},
"items": [
{
"id": 123,
"title": "<string>",
"quantity": 123,
"price": "<string>",
"price_in_currency": "<string>",
"discount_amount": "<string>",
"discount_amount_in_currency": "<string>",
"tax": "<string>",
"tax_in_currency": "<string>",
"cv": "<string>",
"qv": "<string>",
"cv_total": "<string>",
"qv_total": "<string>",
"total": "<string>",
"total_in_currency": "<string>",
"line_total_in_currency": "<string>",
"total_after_discounts": "<string>",
"total_after_discounts_in_currency": "<string>",
"line_total_after_discounts_in_currency": "<string>",
"regular_line_total_in_currency": "<string>",
"unit_price_display_authoritative": true,
"price_unavailable": true,
"subscription_start_notice": {
[...]
